body {
    _background: url('http://cdn.backgroundhost.com/backgrounds/subtlepatterns/leather_1.png') repeat;
    _background: url('http://cdn.backgroundhost.com/backgrounds/subtlepatterns/white_plaster.png') repeat;
    _background: url('/static/system/repeating-vintage-paper-background.jpg') repeat;
}

.onamap-heading {
    font-family: "Cormorant Unicase", serif;
}

.onamap-heading.text-2xl {
    font-weight: 500;
    font-size: 32px;
}

.onamap-heading.text-xl {
    _font-weight: 500;
    _font-size: 32px;
}

.onamap-heading.text-lg {
    font-size: 1.3rem;
    line-height: 2rem;
}

.tox-statusbar__path {
    display: none !important;
}
.tox-statusbar__branding {
    display: none;
}



body #toast-container>.toast-warning,
body #toast-container>.toast-info {
        background-image: none !important;
}

body #toast-container>div {
    padding: 12px 24px;
    border-radius: 8px;
}

body .toast-info {
    background-color: #343a40;
    color: #FFF;
    border-radius: 8px;
}

.quicksand {
    font-family: "Goudy Bookletter 1911", serif;
}

::selection {
    _background: #E9D8FD;
    _color:#202684;

    /* WebKit/Blink Browsers */
}

::-moz-selection {
    _background: #E9D8FD;
    _color:#202684;
    /* Gecko Browsers */
}

button.nav, 
a {
    color: rgb(37, 99, 235) /* bg-blue-500 */
}

button.nav:hover, 
a:hover {
	color: rgb(30, 58, 138);
}

.nav .disabled {
    color: #AAA;
}

a:not(.nav):not(.ignore) {
    _font-weight: bold;
    text-decoration: none;
    _padding: 2px;
    _background: linear-gradient(to right, #5A67D8, #5A67D8);
    background-repeat: repeat-x;
    background-size: 100% 2px;
    background-position: 0 95%;
    -webkit-transition: all 150ms ease-in-out;
    -moz-transition: all 150ms ease-in-out;
    -ms-transition: all 150ms ease-in-out;
    -o-transition: all 150ms ease-in-out;
    transition: all 150ms ease-in-out;
}

a:hover:not(.ignore) {
    _color: #B794F4;
    _font-weight: bold;
    text-decoration: none;
    padding-bottom: 2px;
    _background: linear-gradient(to right, #9F7AEA, #E9D8FD);
    _background-repeat: repeat-x;
    _background-size: 100% 2px;
    _background-position: 50% 95%;
    -webkit-transition: color 150ms ease-in-out;
    -moz-transition: color 150ms ease-in-out;
    -ms-transition: color 150ms ease-in-out;
    -o-transition: color 150ms ease-in-out;
    transition: color 150ms ease-in-out;
}

a:focus {
    outline: none;
    background: #E9D8FD;
}

  /* Hide scrollbar for all browsers */
  .scrollbar-hide {
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer 10+ */
  }

  .scrollbar-hide::-webkit-scrollbar {
    display: none; /* Chrome, Safari, and Edge */
  }

  element::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 0;
    height: 0;
}

select:disabled,
input[readonly],
input[type="checkbox"]:disabled {
    background: #f1f1f1;
}

ul.list-none li {
    display: inline;
}

@keyframes shake {
  0% { transform: translate(0, 0) rotate(0deg); }
  20% { transform: translate(-2px, 0) rotate(-5deg); }
  40% { transform: translate(2px, 0) rotate(5deg); }
  60% { transform: translate(-2px, 0) rotate(-5deg); }
  80% { transform: translate(2px, 0) rotate(5deg); }
  100% { transform: translate(0, 0) rotate(0deg); }
}

.shake {
  animation: shake 0.4s;
}

@keyframes shake-continual {
  0%   { transform: translate(0, 0) rotate(0deg); }
  2%   { transform: translate(-2px, 0) rotate(-5deg); }
  4%   { transform: translate(2px, 0) rotate(5deg); }
  6%   { transform: translate(-2px, 0) rotate(-5deg); }
  8%   { transform: translate(2px, 0) rotate(5deg); }
  10%  { transform: translate(0, 0) rotate(0deg); }

  /* stay still until the next cycle */
  100% { transform: translate(0, 0) rotate(0deg); }
}

.shake-continual {
  animation: shake-continual 5s infinite;
}
div.draggable.dragover div,
div.draggable.dragover {
    background-color: #CCC;
}
div.draggable.dragged div,
div.draggable.dragged {
    background-color: #F99;
    transition: background-color 0.4s ease;
}
div.draggable div,
div.draggable {
    transition: background-color 0.4s ease;
}

.onamap-changed .jiggle-btn {
  animation: jiggle 1.5s infinite;
}

@keyframes jiggle {
  0%, 70%, 100% {
    transform: rotate(0deg);
  }
  80% {
    transform: rotate(-5deg);
  }
  85% {
    transform: rotate(5deg);
  }
  90% {
    transform: rotate(-2.5deg);
  }
  95% {
    transform: rotate(2.5deg);
  }
}

  /* Chrome, Safari, Edge, Opera */
  .no-spinner::-webkit-outer-spin-button,
  .no-spinner::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  /* Firefox */
  .no-spinner {
    -moz-appearance: textfield;
  }

.no-spinner-disabled:disabled::-webkit-outer-spin-button,
.no-spinner-disabled:disabled::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.no-spinner-disabled:disabled {
  -moz-appearance: textfield;
}
  /* .onamap-button-group {
        opacity: 0.1;
        transition: opacity .1s ease;
  } */

.onamap-body p {
    margin-bottom: 0.5rem;
}
.onamap-body h3 {
    font-weight: 600;
    margin-top: 1rem;
    margin-bottom: 0.5rem;
}

XXXsection > h4:first-child {
    margin-top: 0;

}
.markdown h1 {
    font-size: 1.4rem;
    margin-bottom: .25rem;
}

.markdown h2 {
    font-size: 1.3rem;
    margin-bottom: .25rem;
}

.markdown h3 {
    font-size: 1.2rem;
    margin-bottom: .25rem;
}

.markdown h4 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.125rem;
    font-weight: 300;
    margin-top: 1rem;
    _margin-bottom: 0.5rem;
}

.blip {
  width: 8px;
  height: 8px;
  background: blue;
  border-radius: 50%;
  border: 2px solid white;
  box-shadow: 0 0 5px rgba(0,0,255,0.7);
  animation: blip 1s infinite ease-in-out;
}

@keyframes blip {
  0%   { transform: scale(1);   opacity: 1; }
  100%  { transform: scale(3); opacity: 0.4; }
  /* 100% { transform: scale(1);   opacity: 1; } */
}

.marker-label {
    font-size: 12px;
    font-weight: bold;
    color: rgb(22, 121, 23);
    background: rgba(22, 121, 23, 0.3);
    border: 2px solid rgb(22, 121, 23);
    height: 25px;
    width: 25px;
    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}